# pybind_signatures module

pybind11 function signature extraction

### Contents

- Reference
  - Classes
  - Functions

## Classes

class MyClass
  My fun class!

## Functions

def crazy_signature(…)
  Function that failed to get parsed
def overloaded(arg0: int, /) -> str
  Overloaded for ints
def overloaded(arg0: float, /) -> bool
  Overloaded for floats
def scale(arg0: int, arg1: float, /) -> int
  Scale an integer
def scale_kwargs(a: int, argument: float) -> int
  Scale an integer, kwargs
def taking_a_list_returning_a_tuple(arg0: List[float], /) -> Tuple[int, int, int]
  Takes a list, returns a tuple
def void_function(arg0: int, /)
  Returns nothing